Bug 195876 - kernel 2.6.16-1.2111_FC4smp: Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
kernel 2.6.16-1.2111_FC4smp: Debug: sleeping function called from invalid con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 02:29 EDT by Aleksander Adamowski
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 10:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2006-06-19 02:29:32 EDT
This is a repost of bug from 2006-06-13 18:27, which got lost due to the
Bugzilla database failure.

Description of problem:

On a HP DL385 Dual Core Opteron server running Fedora Core 4, I've upgraded the
kernel to version 2.6.16-1.2111_FC4smp last sunday.

Now it outputs the following error in kernel log every 20-30 minutes:

Jun 13 04:53:11 hostname kernel: Debug: sleeping function called from invalid
context at include/linux/rwsem.h:43
Jun 13 04:53:11 hostname kernel: in_atomic():1, irqs_disabled():0
Jun 13 04:53:11 hostname kernel:
Jun 13 04:53:11 hostname kernel: Call Trace: <IRQ>
<ffffffff8015b35a>{audit_log_exit+416}
Jun 13 04:53:11 hostname kernel:        <ffffffff8013a4f6>{getnstimeofday+16}
<ffffffff8015c773>{audit_free+282}
Jun 13 04:53:11 hostname kernel:       
<ffffffff8013280b>{__put_task_struct_cb+205}
<ffffffff80147b0e>{__rcu_process_callbacks+303}
Jun 13 04:53:11 hostname kernel:       
<ffffffff80147bbe>{rcu_process_callbacks+35} <ffffffff8013ad8d>{tasklet_action+102}
Jun 13 04:53:11 hostname kernel:        <ffffffff8013aedd>{__do_softirq+96}
<ffffffff8010be46>{call_softirq+30}
Jun 13 04:53:11 hostname kernel:        <ffffffff8010cdcc>{do_softirq+44}
<ffffffff8010b7a0>{apic_timer_interrupt+132} <EOI>
Jun 13 04:53:11 hostname kernel:       
<ffffffff881921a0>{:ip_conntrack:udp_invert_tuple+0}
Jun 13 04:53:11 hostname kernel:        <ffffffff801f0a5b>{security_port_sid+68}
<ffffffff801f0a35>{security_port_sid+30}
Jun 13 04:53:11 hostname kernel:       
<ffffffff801e86eb>{selinux_ip_postroute_last+428} <ffffffff80305911>{nf_iterate+89}
Jun 13 04:53:11 hostname kernel:        <ffffffff803110f2>{ip_finish_output+0}
<ffffffff80305a41>{nf_hook_slow+95}
Jun 13 04:53:11 hostname kernel:        <ffffffff803110f2>{ip_finish_output+0}
<ffffffff8030e5e0>{dst_output+0}
Jun 13 04:53:11 hostname kernel:        <ffffffff803117f3>{ip_output+166}
<ffffffff80310697>{ip_push_pending_frames+912}
Jun 13 04:53:11 hostname kernel:       
<ffffffff8032a7b4>{udp_push_pending_frames+593} <ffffffff8032b256>{udp_sendmsg+1520}
Jun 13 04:53:11 hostname kernel:        <ffffffff802e473c>{sock_sendmsg+240}
<ffffffff8014a390>{autoremove_wake_function+0}
Jun 13 04:53:11 hostname kernel:        <ffffffff8016c8bd>{do_wp_page+720}
<ffffffff8015bb00>{audit_sockaddr+83}
Jun 13 04:53:11 hostname kernel:        <ffffffff802e4ace>{sys_sendto+235}
<ffffffff8015c52b>{audit_syscall_entry+305}
Jun 13 04:53:11 hostname kernel:        <ffffffff8010ab71>{tracesys+209}



Version-Release number of selected component (if applicable):

kernel-2.6.16-1.2111_FC4.x86_64

The system works fine, but the message looks suspicious.

The message looks the same like in bug 180108, but:

1) I'm not using fuse or any other non-typical filesystems
2) Bug 180108 was supposedly fixed in version 2.6.16-1.2096_FC4, and I'm running
a newer one.
Comment 1 Dave Jones 2006-06-26 10:53:45 EDT
the audit layer got a large reworking in 2.6.17.  I'm pretty confident updating
to the update I pushed out last week will fix it, as I was able to trigger a
similar stack trace myself during .17 development.

Feel free to reopen if you manage to trigger the same stack trace under the
latest errata.

Thanks.
Comment 2 Aleksander Adamowski 2006-06-29 04:22:53 EDT
I cannot see the SMP 2.6.17 kernel anywhere:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/x86_64/

There's only kernel-2.6.17-1.2139_FC4.x86_64.rpm, no kernel-smp.

Note You need to log in before you can comment on or make changes to this bug.